#include <bits/stdc++.h>

using namespace std;

long a[100000000];

int main()
{
    long n,x,res;
    scanf("%ld %ld",&n,&x);
    for(long i = 0;i<n;i++)
    {
        scanf("%d",&a[i]);
    }
    sort(a,a+n);


    // Kuca na krajevima
    if(x < a[0])
    {
        res = a[n-1] - x;
    }
    else if(x > a[n-1])
    {
        res = x - a[0];
    }

    // Kuca u sredini
    else if(abs(x-a[0]) < abs(x-a[n-1]))
    {
        res = 2*abs(x-a[0]) + abs(x-a[n-1]);
    }
    else
    {
        res = 2*abs(x-a[n-1]) + abs(x-a[0]);
    }
    printf("%d",res);
    return 0;
}